package de.ivu.elect.business.system.entity;

public enum SystemGebietsebene {

  UNBEKANNT{
    @Override
    public boolean isZuBeachten() {
      return false;
    }

    @Override
    public boolean isGesetzt() {
      return false;
    }
  },

  OHNE{
    @Override
    public boolean isZuBeachten() {
      return false;
    }

  },

  BUND,

  BUNDESLAND,

  LANDKREIS,

  VERBANDSGEMEINDE,

  GEMEINDE,
  GEMEINDE_KREISFREI;

  // ************** Bei Änderungen siehe auch: de.ivu.elect.dokumente.SystemGebietsebeneDokument *******************
  ;

  public boolean isZuBeachten() {
    return true;
  }

  public boolean isGesetzt() {
    return true;
  }

}
